From b32862792af6e4be40a4c3bc0d75f35eef593c25 Mon Sep 17 00:00:00 2001
From: Artem Borisov <dedsa2002@gmail.com>
Date: Fri, 12 Jul 2019 05:19:44 +0400
Subject: [PATCH] cantarell-fonts: update to 0.111

And remove forced autohinting since that is not necessary anymore.

Signed-off-by: Artem Borisov <dedsa2002@gmail.com>
---
 .../files/21-cantarell-hinting.conf                | 13 -------------
 srcpkgs/cantarell-fonts/template                   | 14 ++++++--------
 2 files changed, 6 insertions(+), 21 deletions(-)
 delete mode 100644 srcpkgs/cantarell-fonts/files/21-cantarell-hinting.conf

diff --git a/srcpkgs/cantarell-fonts/files/21-cantarell-hinting.conf b/srcpkgs/cantarell-fonts/files/21-cantarell-hinting.conf
deleted file mode 100644
index 7d5df9c5f2d..00000000000
--- a/srcpkgs/cantarell-fonts/files/21-cantarell-hinting.conf
+++ /dev/null
@@ -1,13 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE fontconfig SYSTEM "../fonts.dtd">
-<fontconfig>
-  <!-- Force the autohinter for Cantarell, as it does not have TT hinting -->
-  <match target="font">
-    <test name="family" compare="eq" ignore-blanks="true">
-      <string>Cantarell</string>
-    </test>
-    <edit name="autohint">
-      <bool>true</bool>
-    </edit>
-  </match>
-</fontconfig>
diff --git a/srcpkgs/cantarell-fonts/template b/srcpkgs/cantarell-fonts/template
index beaf26ba3e3..7709efad292 100644
--- a/srcpkgs/cantarell-fonts/template
+++ b/srcpkgs/cantarell-fonts/template
@@ -1,22 +1,20 @@
 # Template file for 'cantarell-fonts'
 pkgname=cantarell-fonts
-version=0.0.25
+version=0.111
 revision=1
 archs=noarch
-build_style=gnu-configure
-configure_args="--with-configdir=/etc/fonts/conf.avail"
-hostmakedepends="pkg-config"
+build_style=meson
+configure_args="-Dfontsdir=/usr/share/fonts/cantarell -Duseprebuilt=true -Dbuildappstream=true"
+hostmakedepends="pkg-config meson appstream-glib"
 depends="fontconfig"
 short_desc="Cantarell family of TrueType fonts"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="https://wiki.gnome.org/Projects/CantarellFonts"
 license="OFL-1.1"
-distfiles="${GNOME_SITE}/$pkgname/0.0/$pkgname-$version.tar.xz"
-checksum=14a228aa0b516dfc367b434a850f955a00c57fc549cbb05348e2b150196a737f
+distfiles="${GNOME_SITE}/$pkgname/$version/$pkgname-$version.tar.xz"
+checksum=858b2bc196ee851c8e5a76376097bc75f23bc01b29591c30ed3a550e23b41716
 
 post_install() {
 	vmkdir etc/fonts/conf.d
 	ln -s ../conf.avail/31-cantarell.conf ${DESTDIR}/etc/fonts/conf.d
-	vinstall ${FILESDIR}/21-cantarell-hinting.conf 644 etc/fonts/conf.avail
-	ln -s ../conf.avail/21-cantarell-hinting.conf ${DESTDIR}/etc/fonts/conf.d
 }
